USE [AdventureWorksDW2008_ModifiedSalesKey];
GO

SET QUOTED_IDENTIFIER OFF;
GO

SELECT [c].[CustomerKey], [c].[LastName], [s].[SalesAmount]
FROM [dbo].[FactInternetSales] AS [s] 
	INNER JOIN [dbo].[DimCustomer] AS [c]
		ON [s].[CustomerKey] = [c].[CustomerKey]
WHERE [c].[CustomerKey] IN (11053, 11152, 11222)
OPTION (QUERYTRACEON 3604, QUERYTRACEON 9204);
GO

SET ANSI_NULLS OFF;
GO

SELECT [c].[CustomerKey], [c].[LastName], [s].[SalesAmount]
FROM [dbo].[FactInternetSales] AS [s] 
	INNER JOIN [dbo].[DimCustomer] AS [c]
		ON [s].[CustomerKey] = [c].[CustomerKey]
WHERE [c].[CustomerKey] IN (11053, 11152, 11222)
OPTION (QUERYTRACEON 3604, QUERYTRACEON 9204);
GO

SET ANSI_WARNINGS OFF;
GO

SELECT [c].[CustomerKey], [c].[LastName], [s].[SalesAmount]
FROM [dbo].[FactInternetSales] AS [s] 
	INNER JOIN [dbo].[DimCustomer] AS [c]
		ON [s].[CustomerKey] = [c].[CustomerKey]
WHERE [c].[CustomerKey] IN (11053, 11152, 11222)
OPTION (QUERYTRACEON 3604, QUERYTRACEON 9204);
GO

SET CONCAT_NULL_YIELDS_NULL OFF;
GO

SELECT [c].[CustomerKey], [c].[LastName], [s].[SalesAmount]
FROM [dbo].[FactInternetSales] AS [s] 
	INNER JOIN [dbo].[DimCustomer] AS [c]
		ON [s].[CustomerKey] = [c].[CustomerKey]
WHERE [c].[CustomerKey] IN (11053, 11152, 11222)
OPTION (QUERYTRACEON 3604, QUERYTRACEON 9204);
GO

SET ANSI_PADDING OFF;
GO

SELECT [c].[CustomerKey], [c].[LastName], [s].[SalesAmount]
FROM [dbo].[FactInternetSales] AS [s] 
	INNER JOIN [dbo].[DimCustomer] AS [c]
		ON [s].[CustomerKey] = [c].[CustomerKey]
WHERE [c].[CustomerKey] IN (11053, 11152, 11222)
OPTION (QUERYTRACEON 3604, QUERYTRACEON 9204);
GO

SET ARITHABORT OFF;
GO

SELECT [c].[CustomerKey], [c].[LastName], [s].[SalesAmount]
FROM [dbo].[FactInternetSales] AS [s] 
	INNER JOIN [dbo].[DimCustomer] AS [c]
		ON [s].[CustomerKey] = [c].[CustomerKey]
WHERE [c].[CustomerKey] IN (11053, 11152, 11222)
OPTION (QUERYTRACEON 3604, QUERYTRACEON 9204);
GO

SET NUMERIC_ROUNDABORT ON;
GO

SELECT [c].[CustomerKey], [c].[LastName], [s].[SalesAmount]
FROM [dbo].[FactInternetSales] AS [s] 
	INNER JOIN [dbo].[DimCustomer] AS [c]
		ON [s].[CustomerKey] = [c].[CustomerKey]
WHERE [c].[CustomerKey] IN (11053, 11152, 11222)
OPTION (QUERYTRACEON 3604, QUERYTRACEON 9204);
GO